## aesedb 0.1.3+git20230221.9b7c468

=== Makefile ===
clean:
	rm -f -r build/
	rm -f -r dist/
	rm -f -r *.egg-info
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f  {} +

publish: clean build
	python3 -m twine upload dist/*

rebuild: clean
	pip install .

build:
	pip wheel . -w dist --no-deps

=== debian/changelog ===
aesedb (0.1.3+git20230221.9b7c468-0parrot2) lory-updates; urgency=medium

  * Rebuild package.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 02 Feb 2024 01:58:40 +0100

aesedb (0.1.3+git20230221.9b7c468-0parrot1) lory; urgency=medium

  * New version from kali.
  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 06 Sep 2023 22:52:35 +0200

aesedb (0.1.3+git20230221.9b7c468-0kali1) kali-dev; urgency=medium

  * New upstream version 0.1.3+git20230221.9b7c468

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 22 Mar 2023 15:34:04 +0100

aesedb (0.1.3-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 20 Feb 2023 14:48:22 +0100

=== debian/control ===
Source: aesedb
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3-all,
 python3-unicrypto,
 python3-aiowinreg,
 python3-winacl,
 python3-pytest,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/skelsec/aesedb

Package: python3-aesedb
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: async parser for JET (Python 3)
 This package contains an async parser for JET. It mainly aims to provide an
 async parsing option for NTDS.dit database file for obtaining user secrets. It
 might also useful for parsing random JET databases.
 .
 This package installs the library for Python 3.

## aesedb 0.1.4

=== debian/changelog ===
aesedb (0.1.4-0kali1) kali-dev; urgency=medium

  * Drop 'Rules-Requires-Root: no' from d/control
  * New upstream version 0.1.4
  * Add python3-pytest-asyncio

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 10 Nov 2025 23:34:18 +0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: aesedb
 Section: python
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Rules-Requires-Root: no
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -14,9 +13,12 @@
  python3-aiowinreg,
  python3-winacl,
  python3-pytest,
+ python3-pytest-asyncio,
 Testsuite: autopkgtest-pkg-python
 Standards-Version: 4.6.2
 Homepage: https://github.com/skelsec/aesedb
+Vcs-Browser: https://gitlab.com/kalilinux/packages/aesedb
+Vcs-Git: https://gitlab.com/kalilinux/packages/aesedb.git
 
 Package: python3-aesedb
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=aesedb

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/skelsec/aesedb/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## aesedb 0.1.6

=== debian/changelog ===
aesedb (0.1.6-0parrot1) lory-updates; urgency=medium

  * Import new Upstream release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 02 Feb 2024 02:08:01 +0100
